com.amazonaws.services.codedeploy.model

## Class AutoRollbackConfiguration

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.AutoRollbackConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class AutoRollbackConfiguration
    extends Object
    implements Serializable, Cloneable

Information about a configuration for automatically rolling back to a previous version of an application revision when a deployment doesn't complete successfully.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AutoRollbackConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AutoRollbackConfiguration` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getEnabled()` Indicates whether a defined automatic rollback configuration is currently enabled.
`List<String>` `getEvents()` The event type or types that trigger a rollback.
`int` `hashCode()`
`Boolean` `isEnabled()` Indicates whether a defined automatic rollback configuration is currently enabled.
`void` `setEnabled(Boolean enabled)` Indicates whether a defined automatic rollback configuration is currently enabled.
`void` `setEvents(Collection<String> events)` The event type or types that trigger a rollback.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AutoRollbackConfiguration` `withEnabled(Boolean enabled)` Indicates whether a defined automatic rollback configuration is currently enabled.
`AutoRollbackConfiguration` `withEvents(AutoRollbackEvent... events)` The event type or types that trigger a rollback.
`AutoRollbackConfiguration` `withEvents(Collection<String> events)` The event type or types that trigger a rollback.
`AutoRollbackConfiguration` `withEvents(String... events)` The event type or types that trigger a rollback.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AutoRollbackConfiguration

    public AutoRollbackConfiguration()

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Indicates whether a defined automatic rollback configuration is currently enabled.

Parameters:
  `enabled` - Indicates whether a defined automatic rollback configuration is currently enabled.

#### getEnabled

    public Boolean getEnabled()

Indicates whether a defined automatic rollback configuration is currently enabled.

Returns:
  Indicates whether a defined automatic rollback configuration is currently enabled.

#### withEnabled

    public AutoRollbackConfiguration withEnabled(Boolean enabled)

Indicates whether a defined automatic rollback configuration is currently enabled.

Parameters:
  `enabled` - Indicates whether a defined automatic rollback configuration is currently enabled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Indicates whether a defined automatic rollback configuration is currently enabled.

Returns:
  Indicates whether a defined automatic rollback configuration is currently enabled.

#### getEvents

    public List<String> getEvents()

The event type or types that trigger a rollback.

Returns:
  The event type or types that trigger a rollback.
See Also:
  `AutoRollbackEvent`

#### setEvents

    public void setEvents(Collection<String> events)

The event type or types that trigger a rollback.

Parameters:
  `events` - The event type or types that trigger a rollback.
See Also:
  `AutoRollbackEvent`

#### withEvents

    public AutoRollbackConfiguration withEvents(String... events)

The event type or types that trigger a rollback.

NOTE: This method appends the values to the existing list (if any). Use `setEvents(java.util.Collection)` or `withEvents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `events` - The event type or types that trigger a rollback.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `AutoRollbackEvent`

#### withEvents

    public AutoRollbackConfiguration withEvents(Collection<String> events)

The event type or types that trigger a rollback.

Parameters:
  `events` - The event type or types that trigger a rollback.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `AutoRollbackEvent`

#### withEvents

    public AutoRollbackConfiguration withEvents(AutoRollbackEvent... events)

The event type or types that trigger a rollback.

Parameters:
  `events` - The event type or types that trigger a rollback.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `AutoRollbackEvent`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AutoRollbackConfiguration clone()

Overrides:
  `clone` in class `Object`